// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_CHAIN_GUI_ELM_EXTERN_H
#define ESCWYP_CHAIN_GUI_ELM_EXTERN_H
#include <Evas.h>

extern Evas_Object *chain_base_box;
void chainInitGuiElm(const int hidden);
void chainPackGui(Evas_Object *box);
void chainUnpackGui(Evas_Object *box);

void chain_delta_slider_set(const float value);
void chain_freq_slider_set(const float value);
void chain_mode_check_set(const int value);
void chain_gui_set_self_control(const int value);

#endif
