// Copyright 2015, Jean Rene Dawin
//
// This Library is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 2.1 of the License, or
// (at your option) any later version.

#ifndef ESCWYP_DISTRIBS_H
#define ESCWYP_DISTRIBS_H

//// the array containing the values of the currently selected probability distribution
//static float distrib[2048];
//// the array containing the indices indicating when the accumulated probability distribution is larger than 0.05, 0.1, 0.15, ...
//static float dist_marks[2048];
//
//// the maximum and minimum values of the current distribution  
//static float distrib_maximum = 1.0;
//static float distrib_minimum = 0.0;

// the marks for dist_marks
//static float limits[21] = {0.0, 0.05, 0.1, 0.15, 0.2, 0.25, 0.3, 0.35, 0.4, 0.45, 0.5, 0.55, 0.6, 0.65, 0.7, 0.75, 0.8, 0.85, 0.9, 0.95, 1.0};

//void makeDistri(int low, int high, float center_fact, float height);
//void makeEqualDistribution(int low, int high);
//void makeDistriByParting(int low, int high, float center_fact, float divisor);
//void makeDistriByUmverteilung(int low, int high, float center_fact, float part);
void makeDistri(const int distrib_size, const int low, const int high, const float center_fact, const float height, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

void makeEqualDistribution(const int distrib_size, const int low, const int high, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

void makeDistriByParting(const int distrib_size, const int low, const int high, const float center_fact, const float divisor, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

void makeDistriByUmverteilung(const int distrib_size, const int low, const int high, const float center_fact, const float part, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

//float distribs_get_distrib(const int index);
//float distribs_get_dist_marks(const int index);
//float distribs_get_distrib_maximum();
//float distribs_get_distrib_minimum();
//float *distribs_get_dist_marks_pointer();

#endif
