// Copyright 2015, Jean Rene Dawin
//
// This Library is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 2.1 of the License, or
// (at your option) any later version.

#ifndef ESCWYP_LINE_DRAW_H
#define ESCWYP_LINE_DRAW_H

void draw_cross(int *gpoints, const int width, const int height);
void draw_c(int *gpoints, const int width, const int height);
void draw_d(int *gpoints, const int width, const int height);
void draw_e(int *gpoints, const int width, const int height);
void draw_f(int *gpoints, const int width, const int height);
void draw_g(int *gpoints, const int width, const int height);
void draw_a(int *gpoints, const int width, const int height);
void draw_h(int *gpoints, const int width, const int height);
void draw_b(int *gpoints, const int width, const int height);
void draw_0(int *gpoints, const int width, const int height);
void draw_1(int *gpoints, const int width, const int height);
void draw_2(int *gpoints, const int width, const int height);
void draw_3(int *gpoints, const int width, const int height);
void draw_4(int *gpoints, const int width, const int height);
void draw_5(int *gpoints, const int width, const int height);
void draw_6(int *gpoints, const int width, const int height);
void draw_7(int *gpoints, const int width, const int height);
void draw_8(int *gpoints, const int width, const int height);
void draw_9(int *gpoints, const int width, const int height);
void fill_pixels(int *pixels, const int *gpoints, const int width, const int height, const int fg_argb_color, const int bg_argb_color);
void change_pixels(int *pixels, const int width, const int height, const int fg_argb_color_from, const int fg_argb_color_to, const int bg_argb_color_from, const int bg_argb_color_to);
void draw_lines(const int drawit, int *gpoints, const float *raw_points, const int width, const int height, const int stroke_width, const int xpos, const int ypos);

#endif
