// Copyright 2014-2015, Jean Rene Dawin
//
// This Program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.

#ifndef ESCWYP_MAIN_GUI_ELM_H
#define ESCWYP_MAIN_GUI_ELM_H
#include <Elementary.h>
#include "escwyp_globals_extern.h"

Evas_Object *win;
static Evas_Object *bg, *winbox, *wintab, *admintab;
static Evas_Object *slid_ha, *slid_va, *slid_hc, *slid_vc, *slid_hp, *slid_vp;

static Evas_Object *box_a, *box_c, *box_cu, *box_cd, *box_p, *box_k, *box_o, *box_rec, *box1_rec, *box2_rec;
static Evas_Object *frame_a, *frame_c, *frame_p;
static Evas_Object *lab_azz, *btn_about, *btn_exit; 
static Evas_Object *gui_change_radio_0, *gui_change_radio_1 ;
static Evas_Object *gui_change_radio_2, *gui_change_radio_3 ;
static Evas_Object *gui_change_radio_4, *gui_change_radio_5 ;
static Evas_Object *scr_oszillo;
//static Evas_Object *panel_a, *panel_b, *but_pa, *but_pb, *panbox;
static Evas_Object *lab_ok, *lab_vol, *lab_keybd_poly, *lab_keybd_ignore, *lab_osc_res, *lab_trenn;
static Evas_Object *box_be, *backend_switch_jack_radio, *backend_switch_alsa_radio, *backend_switch_none_radio;  
// die aktuell angezeigten GUI-Elemente (sinegrass=0/nadelper=1/samplecast=2)
// verkoerpert durch den zwischengespeicherten letzten gui_change_radio_val
int gui_change_radio_val_prev = 0;
int gui_change_radio_val = 0;
int backend_switch_radio_val = 0; 
// der Array mit Function-Zeigern auf die GuiPack-Funktionen von sinegrass/nadelper/samplecast ...
static void (*packGuiFuns[6])(Evas_Object *box);
static void (*unpackGuiFuns[6])(Evas_Object *box);

void escwypMainGuiInit();
//TODO: deprecated
void escwyp_main_gui_backend_switch_jack_radio_set(const int val);
static void btn_about_fun(void *data, Evas_Object *obj, void *event_info);
static void backend_switch_radio_fun(void *data, Evas_Object *obj, void *event_info);
static void on_done(void *data, Evas_Object *obj, void *event_info);
static void gui_change_radio_fun(void *data, Evas_Object *obj, void *event_info);

#endif
