// Copyright 2015, Jean Rene Dawin
//
// This Library is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 2.1 of the License, or
// (at your option) any later version.

#ifndef ESCWYP_MISCH_EXTERN_H
#define ESCWYP_MISCH_EXTERN_H
extern float *mix_buff;
void misch_init();
void misch_init_buffer(const int length);
void misch(int length);
int note_on(const int id);
int note_off(const int id);
void escwyp_migrate_notes();
void clear_notes();
int get_current_sound_func();

void set_mix_volume(const float a_volume); 
float get_mix_volume(); 
int get_playing_status();
void misch_save_num_nts();
void misch_restore_num_nts();
int note_is_set(const int id);
#endif
