// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_OUT_JACK_H
#define ESCWYP_OUT_JACK_H
#include <jack/jack.h>


typedef jack_default_audio_sample_t sample_t;
static jack_port_t *output_port = NULL;
static jack_client_t *client = NULL;
static unsigned int buffer_length_jack = 1024; // Die JAck-Bufferlänge


int escwypInitJack();
int process(jack_nframes_t nframes, void *arg);
int escwyp_jack_srate(jack_nframes_t nframes, void *arg);
int escwyp_jack_bufsize_changed(jack_nframes_t nframes, void *arg);
void escwyp_jack_error(const char *desc);
void escwyp_jack_shutdown(void *arg);
void escwyp_jack_shutdown_wrapper();



#endif
