// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_PATCH_SELECT_H
#define ESCWYP_PATCH_SELECT_H
#include <Eet.h>

static Eet_File *patch_file;

void escwyp_patch_load(Eet_File *ef, const char *id);
static void escwyp_patch_load_patch(const char *id, const int num_params, const char **params, const int *param_types, const int *param_sizes, const int opts);
void escwyp_patch_save(Eet_File *ef, const char *id);
void *escwyp_patch_load_param(void *result, const char *name);
void escwyp_patch_save_param(const void *stuff, const int size, const char *name);
void escwyp_eet_open(char *name);
void escwyp_eet_close(char *name);

#endif
