// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_SAMPLECAST_GUI_ELM_EXTERN_H
#define ESCWYP_SAMPLECAST_GUI_ELM_EXTERN_H
#include <Evas.h>

extern Evas_Object *samplecast_base_box; 
//extern Eina_List *samplecast_widgets;

void samplecastInitGuiElm(int hidden);
void samplecastPackGui(Evas_Object *box);
void samplecastUnpackGui(Evas_Object *box);

void samplecast_register_sliders_set(const int index, float value);
void samplecast_mode_radios_set(int value);
void samplecast_register_select_radios_set(int value);
void samplecast_magnify_slider_set(float value);
void samplecast_init_value_slider_set(float value);
void samplecast_gui_set_self_control(const int value);
void samplecast_refresh_gui_elems();
#endif
