// Copyright 2015, Jean Rene Dawin
//
// This Library is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 2.1 of the License, or
// (at your option) any later version.

#ifndef ESCWYP_DISTRIBS_EXTERN_H
#define ESCWYP_DISTRIBS_EXTERN_H

// the array containing the values of the currently selected probability distribution
//extern float distrib[2048];
// the array containing the indices indicating when the accumulated probability distribution is larger than 0.05, 0.1, 0.15, ...
//extern float dist_marks[2048];

//void makeDistri(int low, int high, float center_fact, float height);
//void makeEqualDistribution(int low, int high);
//void makeDistriByParting(int low, int high, float center_fact, float divisor);
//void makeDistriByUmverteilung(int low, int high, float center_fact, float part);
void makeDistri(const int distrib_size, const int low, const int high, const float center_fact, const float height, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

void makeEqualDistribution(const int distrib_size, const int low, const int high, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

void makeDistriByParting(const int distrib_size, const int low, const int high, const float center_fact, const float divisor, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

void makeDistriByUmverteilung(const int distrib_size, const int low, const int high, const float center_fact, const float part, float *distrib, float *dist_marks, float *distrib_minimum, float *distrib_maximum );

//float distribs_get_distrib(const int index);
//float distribs_get_dist_marks(const int index);
//float distribs_get_distrib_maximum();
//float distribs_get_distrib_minimum();
//float *distribs_get_dist_marks_pointer();

#endif
