// Copyright 2013-2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_GLOBALS_H
#define ESCWYP_GLOBALS_H
//#include <Evas.h>
#include <Elementary.h>

// gcc -o elem elem.c $(pkg-config elementary --cflags --libs) $(pkg-config evas --clflags --libs) $(pkg-config imlib2 --cflags --libs)
//                    $(pkg-config jack --cflags --libs) 

#ifndef ESCWYP_OUT_IS_JACK
typedef float sample_t;
#endif

// the variable marking if the Oszilloskop has been drawing already in process
extern Evas_Object *win;

unsigned int samp_rate_jack = 48000;   // Die Jack-Samplerate

int playsth = 0;
int buff_leere = 0;
int buff_parts = 8;
int oszillcount = 0;
int oszill_drawn = 0;

float *buff_L = NULL;
float *wartemal = NULL;
static double *sinranbuf = NULL;
static double *x8ranbuf = NULL;
static double *sin28ranbuf = NULL;
static float *lead_out_envelope = NULL;

int current_sound_function;

int selected_ran_fun = 0; 

int sound_buffer_length = 1024;

enum out_method {jack, alsa, none};
enum out_method out_m = none;

//void (*escwyp_rec_progress_cb)(const float f) = NULL;
//void (*escwyp_rec_lab_cb)(const int i, const char *c) = NULL;
//void (*escwyp_rec_btns_cb)(void) = NULL;
#endif
