// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_NADELPER_GUI_ELM_EXTERN_H
#define ESCWYP_NADELPER_GUI_ELM_EXTERN_H
#include <Evas.h>

void nadelperInitGui(int hidden);
void nadelperPackGui(Evas_Object *box);
void nadelperUnpackGui(Evas_Object *box);

// GET / SET ---

void nadelper_nadel_size_slider_set(const float value);
void nadelper_num_freqs_slider_set(const int value);
void nadelper_lowest_freq_slider_set(const int value);
void nadelper_highest_freq_slider_set(const int value);
void nadelper_freq_step_size_slider_set(const int value);
void nadelper_random_step_size_active_check_set(const int value);
void nadelper_step_size_random_range_slider_set(const int value);
void nadelper_gui_set_self_control(const int value);

#endif
