// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_SINE_ROBIN_GUI_ELM_EXTERN_H
#define ESCWYP_SINE_ROBIN_GUI_ELM_EXTERN_H
#include <Evas.h>

void sineRobinInitGui();
void sineRobinPackGui(Evas_Object *box);
void sineRobinUnpackGui(Evas_Object *box);
void makeDistribImage();

void sine_robin_center_slider_set(const float value);
void sine_robin_height_slider_set(const float value);
void sine_robin_height_fine_frac_slider_set(const float value);
void sine_robin_low_slider_set(const float value);
void sine_robin_high_slider_set(const float value);
void sine_robin_radio_0_set(const int value);
void sine_robin_plot_step_size_slider_set(const float value);
void sine_robin_gui_set_self_control(const int value);

#endif
