// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_SOUND_JACK_H
#define ESCWYP_SOUND_JACK_H
#include <jack/jack.h>


void escwypJackInit();
int srate(jack_nframes_t nframes, void *arg);
int bufsize_changed(jack_nframes_t nframes, void *arg);
void error(const char *desc);
void jack_shutdown(void *arg);

#endif
