# (c) 2014 percent software www.percent.de www.prozent.de
{
	#my $method_name = "sine_grass";
	#my @variable_names = ("grass_mowed", "grass_hill_fraction", "lawn_length_variation_frac");
	#my @variable_types = ("int", "float", "float");
	#my @gui_elem_names = ("grass_mowed_check", "grass_hill_fraction_slider", "lawn_length_variation_frac_slider");
	#my @gui_elem_types = ("elm_slider_value_set", "elm_radio_value_set", "elm_check_state_set"); 
	#my @gui_elem_func_names = ("elm_check_state_set", "elm_slider_value_set", "elm_slider_value_set");
	#my $method_name = "nadelper";
	#my @variable_names = ("nadelper_max_num_freqs", "nadelper_nadel_size", "nadelper_num_freqs", "nadelper_highest_freq", "nadelper_freq_step_size", "nadelper_random_step_size_active", "nadelper_step_size_random_range");
	#my @variable_types = ("int", "float", "int", "int", "int", "int", "int")  ;
	#my @gui_elem_names = ("nadelper_verstaerker_slider", "nadelper_num_freqs_slider", "nadelper_lowest_freq_slider", "nadelper_highest_freq_slider", "nadelper_freq_step_size_slider", "nadelper_random_step_size_check", "nadelper_step_size_random_range_slider");
	##my @gui_elem_types = ("elm_slider_value_set", "elm_radio_value_set", "elm_check_state_set"); 
	#my @gui_elem_func_names = ("elm_slider_value_set", "elm_slider_value_set", "elm_slider_value_set", "elm_slider_value_set", "elm_slider_value_set", "elm_check_state_set", "elm_slider_value_set");
	#my $method_name = "sine_robin";
	#my @variable_names = ("sine_robin_high", "sine_robin_low");
	#my @variable_types = ("int", "float", "float");
	#my @gui_elem_names = ("grass_mowed_check", "grass_hill_fraction_slider", "lawn_length_variation_frac_slider");
	#my @gui_elem_types = ("elm_slider_value_set", "elm_radio_value_set", "elm_check_state_set"); 
	#my @gui_elem_func_names = ("elm_check_state_set", "elm_slider_value_set", "elm_slider_value_set");
	my $method_name = "nadelper";
	my @variable_names = ("nadelper_nadel_size", "nadelper_num_freqs", "nadelper_highest_freq", "nadelper_freq_step_size", "nadelper_random_step_size_active", "nadelper_step_size_random_range");
	my @variable_types = ("float", "int", "int", "int", "int", "int");
	my @gui_elem_index = (0, 0, 0, 0, 2, 0);
	my @gui_elem_names = ("slider", "radio", "check");
	my @gui_elem_func_names = ("elm_slider_value_set", "elm_radio_value_set", "elm_check_state_set"); 



	# GETTERS definition in base.h
	print "vvvvvvvvvvvvvvvvvv PUT IN $method_name.h\n\n"; 
	my $i = 0;
	foreach(@variable_names){

		print $variable_types[$i], " ";
		print $method_name;
		print "_get_"; 
		print $_;
		print "();\n";
		$i++; 
	}
	print "\n";

	# SETTERS definition in base.h
	$i = 0;
	foreach(@variable_names){

		print "void ";
		print $method_name;
		print  "_set_"; 
		print $_;
		print "(const $variable_types[$i] value);\n";

		$i++; 
	}
	print "\n^^^^^^^^^^^^^^^^^^\n\n";

	# GETTERS implementation in base.c
	print "vvvvvvvvvvvvvvvvvv PUT IN $method_name.c\n\n"; 
	$i = 0;
	foreach(@variable_names){

		print $variable_types[$i], " ";
		print $method_name;
		print "_get_"; 
		print $_;
		print "(){\n\n";
		print "\treturn ", $_, ";\n\n}\n\n";
		$i++; 
	}

	# SETTERS implementation in base.c
	$i = 0;
	foreach(@variable_names){

		print "void ";
		print $method_name;
		print  "_set_"; 
		print $_;
		print "(const $variable_types[$i] value){\n\n";
		print "\t", $_, " = value;\n\n}\n\n";

		$i++; 
	}
	print "\n^^^^^^^^^^^^^^^^^^\n\n";

	# SETTERS GUI ELEMS definition in base_gui.h
	print "vvvvvvvvvvvvvvvvvv PUT IN $method_name\_gui_elm.h\n\n"; 
	$i = 0;
	foreach(@gui_elem_index){

		print "void ";
		print $method_name;
		print "_$variable_names[$i]_$gui_elem_names[$_]_set"; 
		print "(const $variable_types[$i] value);\n";
		$i++; 
	}
	print "\n";
	print "\n^^^^^^^^^^^^^^^^^^\n\n";

	# SETTERS GUI ELEMS implementation in base_gui.c
	print "vvvvvvvvvvvvvvvvvv PUT IN $method_name\_gui_elm.c\n\n"; 
	$i = 0;
	foreach(@gui_elem_index){

		print "void ";
		print $method_name;
		print "_$variable_names[$i]_$gui_elem_names[$_]_set"; 
		print "(const $variable_types[$i] value){\n\n";
		if($_ == 0){
			print "\t$gui_elem_func_names[$_]($variable_names[$i]_$gui_elem_names[$_], (double) value);\n\n";
		}
		if($_ == 1){
			print "\t$gui_elem_func_names[$_]($variable_names[$i]_$gui_elem_names[$_], value);\n\n";
		}
		if($_ == 2){
			print "\tif(value == 0){\n";
			print "\t\t$gui_elem_func_names[$_]($variable_names[$i]_$gui_elem_names[$_], EINA_FALSE);\n";
			print "\t}else{\n";
			print "\t\t$gui_elem_func_names[$_]($variable_names[$i]_$gui_elem_names[$_], EINA_TRUE);\n";
			print "\t}\n\n";
		}
		print "}\n";
		$i++; 
	}
	print "\n\n";
	print "\n^^^^^^^^^^^^^^^^^^\n\n";


print "void $method_name\_load_patch(const char *patch_name){

    fprintf(stdout, \"III $method_name\_load_patch\\n\");

    void *param_p;
    void *param_pp;
    char the_base_key[255];
    char the_key[255];
    the_base_key[0] = 47;
    the_base_key[1] = 0;
    strcat(the_base_key, \"$method_name/\"); 
    strcat(the_base_key, patch_name);

    strcpy(the_key, the_base_key);
    strcat(the_key, \"/$variable_names[0]\");

    param_pp = escwyp_patch_load_param(param_p, the_key);
    if(param_pp != NULL){
        fprintf(stdout, \"size = not null\\n\");
    }else{
        fprintf(stdout, \"$variable_names[0] - : It's NULL\\n\");
        return;
    }\n";
print "$variable_types[0] *$variable_names[0] = ($variable_types[0] *) param_pp;
    $method_name\_set_$variable_names[0](*$variable_names[0]);
    $method_name\_$variable_names[0]_$gui_elem_names[$gui_elem_index[0]]_set(*$variable_names[0]);
\n";
   if($variable_types[0] eq "float"){
    print "fprintf(stdout, \"%s %f\\n\", the_key, *$variable_names[0]);\n";
   }
   if($variable_types[0] eq "int"){
    print "fprintf(stdout, \"%s %i\\n\", the_key, *$variable_names[0]);\n";
   }
    print "free(param_pp);\n\n";

   for(my $i = 1; $i < @variable_names; $i++){

	   print "strcpy(the_key, the_base_key);
	   strcat(the_key, \"/$variable_names[$i]\");
	   param_pp = escwyp_patch_load_param(param_p, the_key);
	   \n";
	   print "$variable_types[$i] *$variable_names[$i] = ($variable_types[$i] *) param_pp;
	   $method_name\_set_$variable_names[$i](*$variable_names[$i]);
	   $method_name\_$variable_names[$i]_$gui_elem_names[$gui_elem_index[$i]]_set(*$variable_names[$i]);
	   \n";
	   if($variable_types[$i] eq "float"){
		   print "fprintf(stdout, \"%s %f\\n\", the_key, *$variable_names[$i]);\n";
	   }
	   if($variable_types[$i] eq "int"){
		   print "fprintf(stdout, \"%s %i\\n\", the_key, *$variable_names[$i]);\n";
	   }
	   print "free(param_pp);\n\n";
   }

   print "}\n";



print "
void $method_name\_save_patch(const char *patch_name){

    fprintf(stdout, \"$method_name\_save_patch\\n\");\n";
    my $i = 0;
    foreach(@variable_names){
    if($variable_types[$i] eq "float"){
    print "$variable_types[$i] $_ = 0.0;\n";
    }
    if($variable_types[$i] eq "int"){
    print "$variable_types[$i] $_ = 0;\n";
    }
    $i++;
}
    print "\nchar id_string[255];
    strcpy(id_string, \"/PATCH_NAME/$method_name/\");
    strcat(id_string, patch_name);
    escwyp_patch_save_param(patch_name, (1+strlen(patch_name))*sizeof(char), id_string);
    fprintf(stdout, \"%s = %s\\n\", id_string, patch_name);

    char the_base_key[255];
    char the_key[255];
    the_base_key[0] = 47;
    the_base_key[1] = 0;
    strcat(the_base_key, \"$method_name/\"); 
    strcat(the_base_key, patch_name);
\n\n";
    $i = 0;
    foreach(@variable_names){
    print "$_ = $method_name\_get_$_();
    strcpy(the_key, the_base_key);
    strcat(the_key, \"/$_\");
    escwyp_patch_save_param(&$_, sizeof($variable_types[$i]), the_key);\n";
    if($variable_types[$i] eq "float"){
    print "fprintf(stdout, \"%s %f\\n\", the_key, $_);\n\n";
    }
    if($variable_types[$i] eq "int"){
    print "fprintf(stdout, \"%s %i\\n\", the_key, $_);\n\n";
    }
    $i++;
    }
    print "}\n";
}
